"""
API router configuration
"""
from fastapi import APIRouter

from app.api.v1.endpoints import auth, users, foods, calorie_entries, calculator

api_router = APIRouter()
api_router.include_router(auth.router, prefix="/auth", tags=["authentication"])
api_router.include_router(users.router, prefix="/users", tags=["users"])
api_router.include_router(foods.router, prefix="/foods", tags=["foods"])
api_router.include_router(calorie_entries.router, prefix="/calorie-entries", tags=["calorie-entries"])
api_router.include_router(calculator.router, prefix="/calculator", tags=["calculator"])