"""
Token schemas for authentication
"""
from typing import Optional
from pydantic import BaseModel


class Token(BaseModel):
    """Schema for access token"""
    access_token: str
    token_type: str = "bearer"


class TokenPayload(BaseModel):
    """Schema for token payload"""
    sub: Optional[int] = None  # Subject (user ID)
    exp: Optional[int] = None  # Expiration time